package function

import (
	"gitlab.smartblocklab.com/smartcontracts/cryptocurrencyCC/mngr"
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
)

func ClearTransferredCryptocurrencyList(userParameter *requests.Parameter, systemParameter *requests.Parameter, manager chaincode.IManager) (interface{}, error) {
	// TODO нужно сделать проверку данных по имени демона systemParameter.UserID
	daemonName, err := requests.Unmarshal(systemParameter.Param)
	if err != nil {
		return nil, err
	}

	return mngr.GetCryptocurrencyManager(manager).ClearTransferredCryptocurrencyList(daemonName)
}
