package mngr

import (
	"encoding/binary"
	"github.com/pkg/errors"
	"gitlab.smartblocklab.com/smartcontracts/common/model/cryptocurrencyCC"
)

// сохранение времени отработки шедулера
func (this *CryptocurrencyManagerImpl) saveLastImportTime(invokeTime int64) error {
	invokeTimeByteArray := make([]byte, 8)
	binary.LittleEndian.PutUint64(invokeTimeByteArray, uint64(invokeTime))
	err := this.PutState(cryptocurrencyCC.LAST_IMPORT_TIME, invokeTimeByteArray)
	if err != nil {
		return errors.Errorf("Failed to PutState LAST_IMPORT_TIME. Error: %s", err)
	}

	return nil
}
