package main

import (
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
	"gitlab.smartblocklab.com/smartcontracts/cryptocurrencyCC/function"
	"gitlab.smartblocklab.com/smartcontracts/common/invoke"
)

func NewChaincode() *chaincode.CommonChaincode {

	// invoke

	chaincode.ChaincodeVar.Actions[invoke.AddCryptocurrenciesFunction] = function.AddCryptocurrencies
	chaincode.ChaincodeVar.Actions[invoke.ClearTransferredCryptocurrencyListFunction] = function.ClearTransferredCryptocurrencyList

	// query

	chaincode.ChaincodeVar.Actions[invoke.GetCryptocurrenciesByDaemonNameFunction] = function.GetCryptocurrenciesByDaemonName
	return &chaincode.ChaincodeVar
}
