package mngr

import (
	"gitlab.smartblocklab.com/smartcontracts/common/model/cryptocurrencyCC"
)

// запись информации о транзакции
func (t *CryptocurrencyManagerImpl) AddToMapDaemonNameKeys(mapDaemonNameKeys cryptocurrencyCC.DaemonNameKeys, daemonName string, transactionId string) cryptocurrencyCC.DaemonNameKeys {
	if len(mapDaemonNameKeys) == 0 {
		mapDaemonNameKeys = make(cryptocurrencyCC.DaemonNameKeys)
	}

	keys, ok := mapDaemonNameKeys[daemonName]
	if !ok {
		keys = make(map[string]bool)
		mapDaemonNameKeys[daemonName] = keys
	}
	keys[transactionId] = true

	return mapDaemonNameKeys
}
